<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>plot3dot</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_e7c3364ca391bc70e8172e4313e89970.html">&lt;&lt; Analytic Geometry</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_e7c3364ca391bc70e8172e4313e89970.html">Analytic Geometry</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_e7c3364ca391bc70e8172e4313e89970.html">Analytic Geometry</a> &gt; plot3dot</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">plot3dot</h1>
    <p class="refpurpose">3-D Parametric plot for opoints</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="functionid">plot3dot</span><span class="default">(</span><span class="default">x</span><span class="default">,</span><span class="default">y</span><span class="default">,</span><span class="default">z</span><span class="default">)</span>
<span class="functionid">plot3dot</span><span class="default">(</span><span class="default">x</span><span class="default">,</span><span class="default">y</span><span class="default">,</span><span class="default">z</span><span class="default">,</span><span class="default">mark_foreground</span><span class="default">,</span><span class="default">mark_style</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x :</span>
      <dd><p class="para">x data</p></dd></dt>
   <dt><span class="term">y :</span>
      <dd><p class="para">y data</p></dd></dt>
   <dt><span class="term">z :</span>
      <dd><p class="para">z data</p></dd></dt>
   <dt><span class="term">mark_foreground :</span>
      <dd><p class="para">marker color</p></dd></dt>
   <dt><span class="term">mark_style :</span>
      <dd><p class="para">marker style</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This is the function to visualize 3-D Parametric plot for opoints</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabspecial">:</span><span class="scilabnumber">10</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">y</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabspecial">:</span><span class="scilabnumber">10</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">z</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabspecial">:</span><span class="scilabnumber">10</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">plot3dot</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabid">y</span><span class="scilabdefault">,</span><span class="scilabid">z</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_e7c3364ca391bc70e8172e4313e89970.html">&lt;&lt; Analytic Geometry</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_e7c3364ca391bc70e8172e4313e89970.html">Analytic Geometry</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_8792051ef89a035bfefbe098ed0172e1.html">Feature Detection, Description and Matching &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
